Building lfs on Ubuntu 8.04

Support support at expertrepair.co.uk
Tue Jul 1 02:33:53 PDT 2008


Good morning,

The issue is with the prerequisites, LFS needs Gawk to build but Ubuntu 
comes with Mawk (as indicated in the error below).  If you use apt to 
remove mawk and install gawk you should be able to proceed trouble free.

Regards

Phill Upson

rsoares wrote:
> Hi,
>
> When I get the build of glibc-2.5.1, configure goes fine but make gives 
> me the error:
>
> mawk -f scripts/gen-sorted.awk: line 19: runaway regular expression /, 
> "", subd ...
> make[1]: ** No rule to make target '/home/lfs/glibc-build/Versions.all' 
> needed by '/home/lfs/glibc-build/abi-versions.h' .Stop.
>
> Anyone know why this is?  I've built lfs on another os before no trouble 
> at all.
>
> Thanks for your time.
>
> Sincerely,
> R.Soares
>   




More information about the lfs-support mailing list